# Pixel Port

Pixel Port is a mod that aims to recreate all Act 1 (including Kaycee's Mod) and Act 3 exclusive cards and bring them into Act 2. Certain cards have been reworked due to their original versions using mechanics that are not present in Act 2. As a small bonus, allows to obtain certain Act 2 cards that were previously unobtainable.

# Card List

<details>
<summary>Card List</summary>

As of this version, not all cards have been ported, due to some limitations. I have plans for them though, so don't worry, they will be added sooner or later.

|NAME|STATS|COST|SIGILS|RARITY|TEMPLE|NOTES|
|-|:-:|:-:|:-:|:-:|:-:|:-:|
|Kingfisher|1/1|1 Blood|Airborne, Waterborne|Common|Beast|Made obtainable in card packs.|
|Raven Egg|0/2|1 Blood|Fledgling|Common|Beast||
|Sparrow|1/2|1 Blood|Airborne|Common|Beast||
|Magpie|1/1|2 Blood|Hoarder, Airborne|Common|Beast||
|Turkey Vulture|3/3|8 Bones|Airborne|Common|Beast||
|Cuckoo|1/1|1 Blood|Airborne, Brood Parasite|Common|Beast||
|Lammergeier|One Half Bones/4|3 Blood|Airborne|Common|Beast||
|Wolf|3/2|2 Blood||Common|Beast|Made obtainable in card packs.|
|Coyote|2/1|4 Bones||Common|Beast|Made obtainable in card packs.|
|Alpha|1/2|4 Bones|Leader|Common|Beast||
|Dire Wolf Pup|1/1|2 Blood|Bone Digger, Fledgling|Common|Beast||
|Dire Wolf|2/5|3 Blood|Double Strike|Common|Beast||
|Child 13|0/1|1 Blood|Bloodborn|Rare|Beast|Slightly reworked since the special ability does not work in Act 2.|
|Child 13 (Awakened)|2/1|1 Blood|Airborne, Bloodborn|Token|Beast||
|Long Elk|1/2|4 Bones|Card Shedder, Touch of Death|Rare|Beast|Slightly reworked since the special ability does not work in Act 2.|
|Verbetrae|0/1|Free||Token|Beast||
|Black Goat|0/1|1 Blood|Worthy Sacrifice|Common|Beast||
|Pronghorn|1/3|2 Blood|Bifurcated Strike, Sprinter|Common|Beast||
|Moose Buck|3/7|3 Blood|Hefty|Common|Beast||
|Red Hart|Spilled Blood/2|2 Blood|Sprinter|Common|Beast||
|Wild Bull|3/2|2 Blood|Rampager|Common|Beast||
|Strange Larva|0/3|1 Blood|Fledgling|Rare|Beast||
|Strange Pupa|0/3|1 Blood|Fledgling|Token|Beast||
|Mothman|7/3|1 Blood|Airborne|Token|Beast||
|Beehive|0/2|1 Blood|Bees Within|Common|Beast||
|Mantis|1/1|1 Blood|Bifurcated Strike|Common|Beast||
|Ring Worm|0/1|1 Blood|Caustic|Common|Beast|Reworked since there are no campfires in Act 2.|
|Ant Queen|Ants/3|2 Blood|Ant Spawner|Common|Beast||
|Cockroach|1/1|4 Bones|Unkillable|Common|Beast||
|Corpse Maggots|1/2|5 Bones|Corpse Eater|Common|Beast||
|Flying Ant|Ants/1|1 Blood|Airborne|Common|Beast||
|Mealworm|0/2|2 Bones|Morsel|Common|Beast||
|Pelt Lice|1/1|4 Blood|Double Strike, Drop|Rare|Beast|Given Drop to balance out the difficulty of getting pelt cards in Act 2.|
|Geck|1/1|Free||Rare|Beast||
|Skink|1/2|1 Blood|Loose Tail|Common|Beast||
|River Snapper|1/6|2 Blood||Common|Beast||
|Rattler|3/1|6 Bones||Common|Beast||
|Tadpole|0/1|Free|Waterborne, Fledgling|Common|Beast||
|Mud Turtle|2/2|2 Blood|Armored|Common|Beast||
|Ouroboros|1/1|2 Blood|Unkillable|Rare|Beast|Stats reset at the start of every run.|
|Amalgam|3/3|2 Blood|Hypermorphic|Rare|Beast|Reworked since there are no tribes in Act 2.|
|The Daus|2/2|2 Blood|Bellist|Rare|Beast||
|Pack Rat|2/2|2 Blood|Trinket Bearer|Rare|Beast||
|Amoeba|1/2|2 Bones|Amorphous|Rare|Beast||
|Porcupine|1/2|1 Blood|Sharp Quills|Common|Beast||
|River Otter|1/1|1 Blood|Waterborne|Common|Beast||
|Skunk|0/3|1 Blood|Stinky|Common|Beast||
|Beaver|1/4|2 Blood|Dam Builder|Common|Beast||
|Rat King|2/1|2 Blood|Bone King|Common|Beast||
|Great White|4/2|3 Blood|Waterborne|Common|Beast||
|Opossum|1/1|2 Bones||Common|Beast|Made obtainable in card packs.|
|Bat|2/1|4 Bones|Airborne|Common|Beast||
|Great Kraken|1/1|1 Blood|Waterborne|Rare|Beast|Made obtainable in card packs.|
|Mirror Tentacle|Mirror/3|1 Blood||Common|Beast|Made obtainable in card packs.|
|Hand Tentacle|Cards in Hand/1|1 Blood||Common|Beast|Made obtainable in card packs.|
|Bell Tentacle|Bell Proximity/2|2 Blood||Common|Beast|Made obtainable in card packs.|
|Strange Frog|1/2|1 Blood|Mighty Leap|Common|Beast||
|Leaping Trap|0/1|Free|Steel Trap, Mighty Leap|Token|Beast||
|Burrowing Trap|0/5|2 Blood|Steel Trap, Burrower|Rare|Beast|Made obtainable in card packs.|
|Pack Mule|0/5|Gift Bearer x3, Sprinter|2 Blood|Common|Beast|Reworked since its special ability does not work in Act 2.|
|Mole Man?|0/6|1 Blood|Mighty Leap, Burrower|Rare|Beast||
|Ijiraq|4/1|2 Blood|Repulsive|Token|Beast||
|Hodag|1/5|2 Blood|Blood Lust|Rare|Beast||
|Curious Egg|0/1|1 Blood|Fledgling|Rare|Beast|Reworked since there are no tribes in Act 2. Will transform into Hydra after 2 turns.|
|Hydra|1/5|1 Blood|Bifurcated Strike, Trifurcated Strike|Token|Beast||
|Caged Wolf|0/6|2 Blood|Gift Bearer|Common|Beast|Reworked. Gives a random wolf card.|
|Glitched Card|0/1|Free||Common|Beast|Works just as in Act 1.|
|Aquasquirrel|0/1|Free|Waterborne, Quickdraw|Rare|Beast|Has the Quickdraw sigil to make it a viable pick alongside regular Squirrels.|
|Golden Pelt|0/3|Free||Common|Beast||
|Raccoon|1/1|1 Blood|Scavenger|Common|Beast||
|Wolverine|1/3|5 Bones|Blood Lust|Common|Beast||
|Stinkbug|1/2|4 Bones|Stinky|Common|Beast|Ported from the Act 1 talking card.|
|Stunted Wolf|2/3|1 Blood||Rare|Beast|Ported from the Act 1 talking card.|
|Frozen Opossum|0/5|1 Blood|Frozen Away|Common|Beast||
|Bait Bucket|0/1|1 Blood|Fledgling|Common|Beast|Reworked. Will transform into Great White after 2 turns.|
|Mole Seaman|1/8|2 Blood|Mighty Leap, Burrower|Rare|Beast|Nerfed to prevent it being a straight up better Moleman.|
|Louis|1/1|1 Blood|Sprinter, Waterborne|Common|Beast||
|Kaycee|1/2|1 Blood|Bifurcated Strike, Sharp Quills|Rare|Beast||
|Berke|2/1|2 Blood|Frozen Away, Guardian|Common|Beast||
|Cody|3/1|2 Blood|Burrower, Loose Tail|Rare|Beast||
|David|2/4|2 Blood|Hefty, Sharp Quills|Rare|Beast||
|Tahnee|1/3|2 Blood|Trifurcated Strike|Rare|Beast||
|Jonah|2/5|3 Blood|Bees Within, Sharp Quills|Common|Beast||
|Daniel|2/2|2 Blood|Double Strike|Rare|Beast||
|Luke Carder|4/4|2 Blood||Rare|Beast||
|The Moon|1/15|4 Blood|Omni Strike, Giant|Rare|Beast||
|Skeleton Crew|2/1|2 Bones|Brittle|Common|Undead||
|Zombie Parrot|2/3|2 Bones|Brittle, Airborne|Common|Undead||
|Drowned Soul|1/1|4 Bones|Touch of Death, Waterborne|Rare|Undead|Made obtainable in card packs.|
|Kaminski|0/1|1 Bone|Guardian, Sharp Quills|Common|Undead||
|Reginald|1/3|3 Bones|Touch of Death|Rare|Undead||
|Smoke|0/1|2 Bones|Bone King|Common|Undead||
|Greater Smoke|1/3|2 Bones|Bone King|Rare|Undead||
|The Limoncello|1/15|13 Bones|Omni Strike, Giant|Rare|Undead||
|Magnus Mox|0/9|Green Gem, Orange Gem, Blue Gem|Great Mox|Rare|Magickal|Made obtainable in card packs.|
|Tamara|2/3|Orange Gem, Green Gem|Rampager, Loose Tail|Common|Magickal||
|S0N1A|1/1|3 Energy|Transformer|Common|Tech||
|S0N1A (Beast Form)|2/1|3 Energy|Airborne, Transformer|Token|Tech||
|QU177|2/2|5 Energy|Tranformer|Common|Tech||
|QU177 (Beast Form)|1/2|5 Energy|Sharp Quills, Transformer|Token|Tech||
|GR1ZZ|0/4|6 Energy|Transformer|Common|Tech||
|GR1ZZ (Beast Form)|4/4|6 Energy|Transformer|Token|Tech||
|Bomb Latcher|0/1|1 Energy|Bomb Latch|Common|Tech||
|Exeskeleton|2/2|2 Energy|Brittle|Common|Tech||
|Shield Latcher|0/1|2 Energy|Shield Latch|Common|Tech||
|Skel-E-Latcher|1/1|3 Energy|Brittle Latch|Common|Tech||
|Gems Conduit|0/2|2 Energy|Gem Spawn Conduit|Common|Tech||
|Tough Cell|1/2|3 Energy|Buff When Powered|Common|Tech||
|Splinter Cell|1/2|4 Energy|Trifurcated When Powered|Common|Tech||
|Kind Cell|1/1|2 Energy|Gift When Powered|Common|Tech||
|Bleene's Vessel|0/1|2 Energy|Green Mox, Blue Mox|Common|Tech|Gemified.|
|Goranj's Vessel|0/1|2 Energy|Orange Mox, Green Mox|Common|Tech|Gemified.|
|Orlu's Vessel|0/1|2 Energy|Blue Mox, Orange Mox|Common|Tech|Gemified.|
|Gembound Ripper|3/1|5 Energy||Common|Tech|Gemified.|
|Gem Detonator|1/2|3 Energy|Gem Detonator|Common|Tech||
|Gem Guardian|1/2|3 Energy|Gem Guardian|Common|Tech||
|Amoebot|1/1|2 Energy|Amorphous|Common|Tech||
|Gift Bot|0/2|2 Energy|Gift Bearer|Common|Tech||
|Alarm Bot|2/1|3 Energy|Annoying|Common|Tech||
|Busted 3D Printer|0/3|3 Energy|Vessel Printer|Common|Tech||
|Shieldbot|1/1|3 Energy|Armored|Common|Tech||
|Sniper Bot|1/1|3 Energy|Sniper|Common|Tech||
|Swapbot|1/5|6 Energy|Swapper|Common|Tech||
|Inspector|1/1|3 Energy|Hoarder|Rare|Tech|Made obtainable in card packs.|
|Melter|2/2|6 Energy|Frozen Away|Rare|Tech|Made obtainable in card packs.|
|Ourobot|1/1|6 Energy|Unkillable|Rare|Tech|Stats reset at the start of every run.|
|Lonely Wizbot|2/1|2 Energy|Clinger|Rare|Tech|Ported from the Act 3 talking card.|
|Fishbot|1/3|3 Energy|Gift Bearer|Rare|Tech|Ported from the Act 3 talking card. Will give a random fish card, just like in Act 3.|
|Bad Fish|0/1|3 Energy|Annoying, Brittle|Token|Tech|Obtainable only through Fishbot.|
|Good Fish|2/2|6 Energy|Mighty Leap, Sentry, Sharp Quills, Sniper|Token|Tech|Obtainable only through Fishbot.|
|More Fish|0/1|3 Energy|Gift Bearer|Token|Tech|Obtainable only through Fishbot.|
|Librarian|1/2|5 Energy|Mighty Leap, Summoner|Common|Tech|Reworked.|
|Captive File|0/1|3 Energy|Endangered, Fledgling|Rare|Tech|Reworked. Will evolve into ViraBot after 2 turns.|
|ViraBot|3/1|3 Energy|Bifurcated Strike, Sentry|Token|Tech||
|Librarian|1/2|5 Energy|Mighty Leap, Decked Out|Common|Tech|Reworked.|
|Mycobot|0/1|4 Energy|Siphon, Double Strike|Rare|Tech|Reworked.|
|Sean|1/6|5 Energy, 1 Blood|Mighty Leap, Touch of Death|Rare|Tech||
|James Cobb|0/3|Free||Rare|Tech||
|!CORRUPTED|0/0|Free|Instant Effect, Annihilation|Rare|Tech||

</details>

# Patch Notes
- v1.0.0:
	- Initial release.
- v1.0.1: 
	- Fixed some errors in the Readme.
	- Buffed Pack Mule (he deserves better).
- v1.0.2:
	- Added Smoke and Greater Smoke.
	- Reverted Mealworm to its vanilla form.
	- Cody is now a rare card.
- v1.0.3:
	- Added !CORRUPTED.
	- Daniel is now a rare card.
	- Fixed a small Great Smoke error.
- v1.0.4:
	- **Actually** added !CORRUPTED.
- v1.0.5:
	- David is now a rare card.
	- Increased the energy cost of Sean.
	- Increased the cost of Mycobot.
	- Renamed !CORRUPTED into OLD_DATA and reworked it.
- v1.1.0:
	- Added: Pack Rat, Mole Man?, Caged Wolf, Glitched Card, Aquasquirrel, The Moon, The Limoncello, Bleene's Vessel, Goranj's Vessel, Orlu's Vessel, Gembound Ripper, Kind Cell, Fishbot, Bad Fish, Good Fish, More Fish.
	- Reworked Ijiraq. Now it functions in a similar way to its act 1 counterpart.
	- Bait Bucket now has the blood decals, just like Great White.
	- Smoke and Greater Smoke now have the smoke decals.
- v1.1.1:
	- Reverted OLD_DATA back into !CORRUPTED and reworked it again.
	- !CORRUPTED  now has a special appearance.
	- **Actually** gave the smoke decals to Smoke and Greater Smoke.

# Credits
- Nevernamed, for making most of the missing card portraits, the mod thumbnail icon and for their **Sigilarium** mod that allows to use a few special sigils I used for reworked cards.
- arcadian.png and Makako, for allowing to use their pixel portraits of Act 3 cards used in the **P03 KCM** mod.
- DawnSire, TheGreenDigi and syntaxevasion for allowing to use their pixel portraits from the **Act 2 Recreated** mod.